```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# final class Http (Details)
> namespace: **VDM\Joomla\Openai\Utilities**
> extends: **JoomlaHttp**
```uml
@startuml
class Http << (F,LightGreen) >> #RoyalBlue {
  # array $defaultHeaders
  + __construct(?string $token, ?string $orgToken = null)
  + setTokens(?string $token = null, ?string $orgToken = null)
  + setToken(string $token)
  + setOrgToken(string $token)
}

note right of Http::__construct
  Constructor.

  since: 3.2.0
end note

note right of Http::setTokens
  Change the Tokens.

  since: 3.2.0
end note

note right of Http::setToken
  Change the User Token.

  since: 3.2.0
end note

note right of Http::setOrgToken
  Change the Organization Token.

  since: 3.2.0
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

